<?php
namespace Claromentis\Core\Ai\Subscriber;

$GLOBALS["__65da1b1ec2d6653e8a0ab" . "7848e536215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab784" . "8e536215"] ?: array()) + array("_79d426f9e30060d8279a1da0a9" . "c6baf1" => base64_decode("UHJ" . "vbX" . "B0O" . "iAi"), "_58f9cd2f97dbf4d2db74ab" . "02504a90b9" => base64_decode("YXJyYXlfcmV2ZXJzZQ=" . "="), "_5e30c4717ced36cff" . "9e93e19a5c576cc" => base64_decode("aXNf" . "c3Ry" . "aW5n"), "_9247c1342b3931513e7d846ad" . "4639bb4" => base64_decode("YXVkaXR" . "DaGF0UH" . "JvbXB0"), "_63320be23a35daabeeb7422b56f6b8" . "94" => base64_decode("YXVkaXRJbWFnZVByb2" . "1wdA=="), "_4d707fab93bebb00bbe69e815969" . "7c90" => base64_decode(""), "_e92ad742" . "fc12ec1dd" . "5c30557fa" . "fca331" => base64_decode("Ig=" . "="), "_7f628626dd1" . "d55c71b1fc09" . "32ffd1d2c" => base64_decode("aXNfY" . "XJyYX" . "k="), "_4b878be3b984a2ace7d2dc22b5f592" . "89" => base64_decode("YXVkaXRUZXh0UHJvbX" . "B0"));
use Claromentis\Core\Ai\AiServiceProvider;
use Claromentis\Core\Ai\Events\AiEvent;
use Claromentis\Core\Ai\Events\AiEventType;
use Claromentis\Core\Ai\Parts\PartInterface;
use Claromentis\Core\Ai\Parts\TextPart;
use Claromentis\Core\Audit\Audit;
use Claromentis\Core\Security\SecurityContext;
use Symfony\Component\EventDispatcher\EventSubscriberInterface;
class AuditSubscriber implements EventSubscriberInterface
{
    
    
    
    
    protected Audit $audit;
    
    
    
    
    
    
    public function __construct(Audit $audit)
    {
        $this->audit = $audit;
    }
    
    
    
    
    
    
    
    
    public static function getSubscribedEvents() : array
    {
        return [AiEventType::TEXT_PROMPT => $GLOBALS["__65da1b1ec2d66" . "53e8a0ab7848e53" . "6215"]["_4b878be3b984a2ace7d2dc22b5f5928" . "9"], AiEventType::CHAT_PROMPT => $GLOBALS["__65da1b1ec2d6653e8a0ab7848e" . "536215"]["_9247c13" . "42b39315" . "13e7d846" . "ad4639bb" . "4"], AiEventType::IMAGE_PROMPT => $GLOBALS["__65da1b1ec2d6653e8a" . "0ab7848e536215"]["_63320be23a35daabeeb7422b56f" . "6b894"]];
    }
    
    
    
    
    
    
    
    public function auditTextPrompt(AiEvent $event) : void
    {
        $this->handlePromptAudit($event, AiEventType::TEXT_PROMPT);
    }
    
    
    
    
    
    
    
    public function auditChatPrompt(AiEvent $event) : void
    {
        $this->handlePromptAudit($event, AiEventType::CHAT_PROMPT);
    }
    
    
    
    
    
    
    
    public function auditImagePrompt(AiEvent $event) : void
    {
        $this->handlePromptAudit($event, AiEventType::IMAGE_PROMPT);
    }
    
    
    
    
    
    
    
    
    private function handlePromptAudit(AiEvent $event, string $_18c3ae9a896c5ec6d2e49d0d9d3852f2) : void
    {
        $_9961f986823b4be7f5c4cc8379c6b228 = $event->getParts();
        $text = $GLOBALS["__65da1b1ec2" . "d6653e8a0ab7" . "848e536215"]["_4d707fab93bebb00bbe69e8159697" . "c90"];
        if ($GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"]["_7f628626dd1d55c71b1fc0932ffd1" . "d2c"]($_9961f986823b4be7f5c4cc8379c6b228)) {
            $_9961f986823b4be7f5c4cc8379c6b228 = $GLOBALS["__65da1b1ec2d6653e8a0" . "ab7848e536215"]["_58f9cd2f97dbf" . "4d2db74ab02504" . "a90b9"]($_9961f986823b4be7f5c4cc8379c6b228);
            foreach ($_9961f986823b4be7f5c4cc8379c6b228 as $_d962cfd1735adb2dfba46f69c7f15cb8) {
                
                
                if ($_d962cfd1735adb2dfba46f69c7f15cb8 instanceof TextPart && $_d962cfd1735adb2dfba46f69c7f15cb8->getRole() === PartInterface::PART_ROLE_USER) {
                    $text = $_d962cfd1735adb2dfba46f69c7f15cb8->getValue();
                    break;
                }
            }
        } else {
            if ($_9961f986823b4be7f5c4cc8379c6b228 instanceof TextPart) {
                $text = $_9961f986823b4be7f5c4cc8379c6b228->getValue();
            } else {
                if ($GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"]["_5e30c4717ced" . "36cff9e93e19a" . "5c576cc"]($_9961f986823b4be7f5c4cc8379c6b228)) {
                    $text = $_9961f986823b4be7f5c4cc8379c6b228;
                }
            }
        }
        
        
        if (empty($text)) {
            return;
        }
        $this->audit->Success(AiServiceProvider::NAME, $_18c3ae9a896c5ec6d2e49d0d9d3852f2, 0, $GLOBALS["__65da1b1ec2d6653e8a0ab7" . "848e536215"]["_79d426f9e300" . "60d8279a1da0a" . "9c6baf1"] . $text . $GLOBALS["__65da1b1ec2d6653e8a0ab" . "7848e536215"]["_e92ad742f" . "c12ec1dd5c" . "30557fafca" . "331"]);
    }
}